Subsail Help Docs

Search...
⌘K
API reference

API Reference

Subsail's API is a RESTful API that allows you to manage your account and your products.

To connect an AI assistant instead of writing your own integration, use the MCP server.

Download the OpenAPI specification to use in your own API client.

https://subsail.com/openapi.json

Authentication

The API is authenticated using a bearer token. You can get your bearer token from Settings > API keys.

You can choose to create a read-only or read-write API key, depending on your needs.

Each key is linked to a specific user within a publisher account.

Include the Authorization header with the value Bearer <your-api-key> in all requests.

Bash
curl -X GET "https://api.subsail.com/v1/subscribers" \
     -H "Authorization: Bearer <your-api-key>"

Me

Authenticated user and account for the current API key.

Sources

Connected shops and import sources.

Subscribers

Subscriber records for your account.

Subscriptions and memberships

Subscription and membership records and shipping details. Create manual subscriptions to track orders sold on other platforms.

Issues

Magazine issues.

Copies

Individual subscription copies (issues sent to subscribers).

© Subsail Help Docs

Powered by Basedoc